=== src/ali2gff/Makefile ===
#****************************************************************************
#
#	Copyright (C) 2001 Steffi Gebauer-Jung
#				  Max-Planck-Institute of Chemical Ecology
#				  Jena, Germany															
#                 All rights reserved.
#
# Language:     ANSI C
#
# Description:	Makefile for ali2gff
#
# $Id: Makefile,v 1.3 2001/09/26 16:01:50 steffi Exp $
#
#***************************************************************************/

CC = gcc -Wall

.PHONY    : clean print	
.DEFAULT  : all
.SUFFIXES :

all : ali2gff

ali2gff : ali2gff.c ali2gff.h Makefile
	@$(CC) -o ali2gff ali2gff.c;
	@chmod 755 ali2gff

clean :
	-@rm -f ali2gff
