=== debian/changelog ===
gff2aplot (2.0-6) unstable; urgency=low

  * debian/control
    - Added myself as Uploader
    - Standards-Version: 3.9.1 (no changes needed)
    - debhelper 7 (actually >= 7.1)
    - Fixed Spelling of Debian Med team
    - Build-Depends: removed cdbs, added quilt
  * debian/source/format: 3.0 (quilt)
  * debian/rules: rewritten to use dh
  * debian/patches: use quilt
  * debian/patches/01-makefile.diff: Removed because unneeded
    with current packaging
  * debian/{examples,install,manpages}: added

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jan 2011 13:32:41 +0100

gff2aplot (2.0-5) unstable; urgency=low

  * Updated Standards-Version;
  * Changed Maintainer to the Debian-Med Packaging Team;
  * Added new Homepage field;
  * Added Vcs-* fields.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 24 Feb 2008 00:25:43 -0300

gff2aplot (2.0-4) unstable; urgency=low

  * Updated patches/01-makefile.diff, so ali2gff doesn't get stripped when
    using DEB_BUILD_OPTIONS=nostrip (Closes: #436975);
  * Updated maintainer email;
  * Updated Standards-Version to 3.7.2;
  * Updated compat version to 5;
  * Updated watch file.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu, 09 Aug 2007 17:16:13 -0300

gff2aplot (2.0-3) unstable; urgency=low

  * Not using DEB_AUTO_UPDATE_DEBIAN_CONTROL of CDBS anymore;
  * Updated Standards-Version to 3.6.1.1 (no modifications needed).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu,  2 Jun 2005 20:26:19 -0300

gff2aplot (2.0-2) unstable; urgency=low

  * debian/rules: fix DEB_AUTO_UPDATE_DEBIAN_CONTROL position;
  * debian/control: changed ps-viewer to postscript-viewer on Suggests field;
  * debian/control: corrected indentation of description;
  * Included watch file.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Tue, 12 Apr 2005 14:16:53 -0300

gff2aplot (2.0-1) unstable; urgency=low

  * Initial Release (Closes: #300828)

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Mon, 21 Mar 2005 20:30:45 -0300
