=== debian/control ===
Source: gff2aplot
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Nelson A. de Oliveira <naoliv@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: cdbs, debhelper (>= 7.1), quilt (>= 0.47)
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/gff2aplot/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/gff2aplot/trunk/
Homepage: http://genome.imim.es/software/gfftools/GFF2APLOT.html

Package: gff2aplot
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: postscript-viewer, gff2ps
Description: pair-wise alignment-plots for genomic sequences in PostScript
 A program to visualize the alignment of two genomic sequences together with
 their annotations. From GFF-format input files it produces PostScript figures
 for that alignment.
 The following menu lists many features of gff2aplot:
  * Comprehensive alignment plots for any GFF-feature. Attributes are defined
    separately so you can modify only whatsoever attributes for a given file or
    share same customization across different data-sets.
  * All parameters are set by default within the program, but it can be also
    fully configured via gff2ps-like flexible customization files. Program can
    handle several of such files, summarizing all the settings before producing
    the corresponding figure. Moreover, all customization parameters can be set
    via command-line switches, which allows users to play with those parameters
    before adding any to a customization file.
  * Source order is taken from input files, if you swap file order you can
    visualize alignment and its annotation with the new input arrangement.
  * All alignment scores can be visualized in a PiP box below gff2aplot area,
    using grey-color scale, user-defined color scale or score-dependent
    gradients.
  * Scalable fonts, which can also be chosen among the basic PostScript default
    fonts. Feature and group labels can be rotated to improve readability in
    both annotation axes.
  * The program is still defined as a Unix filter so it can handle data from
    files, redirections and pipes, writing output to standard-output and
    warnings to standard error.
  * gff2aplot is able to manage many physical page formats (from A0 to A10, and
    more -see available page sizes in its manual-), including user-defined ones.
    This allows, for instance, the generation of poster size genomic maps, or
    the use of a continuous-paper supporting plotting device, either in portrait
    or landscape.
  * You can draw different alignments on same alignment plot and distinguish
    them by using different colors for each.
  * Shape dictionary has been expanded, so that further feature shapes are now
    available (see manual).
  * Annotation projections through alignment plots (so called ribbons) emulate
    transparencies via complementary color fill patterns. This feature allows
    to show color pseudo-blending when horizontal and vertical ribbons overlap.
