=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for gff2aplot using dh
# Andreas Tille <tille@debian.org>
# GPL

%:
	dh $@ --with quilt

# Upstream is missing to clean some files
override_dh_auto_clean:
	rm -f src/ali2gff/ali2gff bin/ali2gff

# We need to rename some *.pl files
override_dh_auto_install:
	for script in `find bin -name "*.pl"` ; do mv $$script bin/`basename $$script .pl` ; done
