=== debian/watch ===
version=3
ftp://genome.imim.es/pub/software/gff_tools/gff2aplot/gff2aplot-v(.*)\_(.*)\.tar\.gz
